"Warning: package error or possible missing or unnecessary file:" : freebl3.chk + nssdbm3.chk + softokn3.chk

VERIFIED FIXED in mozilla12

Status

()

Core
Build Config
P1
normal
VERIFIED FIXED
6 years ago
6 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

({regression})

Trunk
mozilla12
regression
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(firefox9 wontfix, firefox10 wontfix, firefox11 wontfix, firefox-esr10 affected)

Details

(URL)

Attachments

(2 attachments, 2 obsolete attachments)

(Assignee)

Description

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=6831811&tree=Mozilla-Inbound
WINNT 5.2 mozilla-inbound build on 2011-10-13 07:24:24 PDT for push 9cda258f822f
{
Warning: package error or possible missing or unnecessary file: bin/components/dom_threads.xpt (package-manifest, 97).

Warning: package error or possible missing or unnecessary file: bin/components/plugin.xpt (package-manifest, 150).

bin/softokn3.dll
bin/freebl3.dll
bin/ssl3.dll
Warning: package error or possible missing or unnecessary file: bin/freebl3.chk (package-manifest, 384).
Warning: package error or possible missing or unnecessary file: bin/softokn3.chk (package-manifest, 385).
bin/nssdbm3.dll
Warning: package error or possible missing or unnecessary file: bin/nssdbm3.chk (package-manifest, 387).
}

***

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1318429599.1318448919.16271.gz
WINNT 5.2 comm-central-trunk build on 2011/10/12 07:26:39
has these too.
(Assignee)

Comment 1

6 years ago
Bug 713415 fixed dom_threads.xpt case.
Summary: "Warning: package error or possible missing or unnecessary file:" : dom_threads.xpt, plugin.xpt, freebl3.chk + softokn3.chk + nssdbm3.chk → "Warning: package error or possible missing or unnecessary file:" : plugin.xpt, freebl3.chk + softokn3.chk + nssdbm3.chk
(Assignee)

Updated

6 years ago
Blocks: 713132
No longer depends on: 515374, 526333
(Assignee)

Comment 2

6 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #0)
> Warning: package error or possible missing or unnecessary file:
> bin/components/plugin.xpt (package-manifest, 150).

https://tbpl.mozilla.org/php/getParsedLog.php?id=8261507&tree=Firefox&full=1
WINNT 5.2 mozilla-central build on 2011-12-31 21:17:01 PST for push d77b056ed4bd
https://tbpl.mozilla.org/php/getParsedLog.php?id=8263433&tree=Firefox&full=1
WINNT 5.2 mozilla-central nightly on 2012-01-01 03:10:16 PST for push d77b056ed4bd
https://tbpl.mozilla.org/php/getParsedLog.php?id=8256615&tree=Mozilla-Aurora&full=1
WINNT 5.2 mozilla-aurora build on 2011-12-31 05:51:01 PST for push e2fe885dce01
https://tbpl.mozilla.org/php/getParsedLog.php?id=8238248&tree=Mozilla-Beta&full=1
WINNT 5.2 mozilla-beta build on 2011-12-30 08:54:22 PST for push 29a99f414124
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1325395137.1325414342.5676.gz&fulltext=1
WINNT 5.2 comm-central-trunk build on 2011/12/31 21:18:57
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1322879916.1322887198.30601.gz&fulltext=1
WINNT 5.2 comm-aurora build on 2011/12/02 18:38:36

don't report this error anymore.
(Ftr, I have no idea what/when fixed this error.)
Summary: "Warning: package error or possible missing or unnecessary file:" : plugin.xpt, freebl3.chk + softokn3.chk + nssdbm3.chk → "Warning: package error or possible missing or unnecessary file:" : freebl3.chk + softokn3.chk + nssdbm3.chk
(Assignee)

Comment 3

6 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #0)
> bin/softokn3.dll
> bin/freebl3.dll
> bin/ssl3.dll
> Warning: package error or possible missing or unnecessary file:
> bin/freebl3.chk (package-manifest, 384).
> Warning: package error or possible missing or unnecessary file:
> bin/softokn3.chk (package-manifest, 385).
> bin/nssdbm3.dll
> Warning: package error or possible missing or unnecessary file:
> bin/nssdbm3.chk (package-manifest, 387).
> }

These errors are still reported.

Could it be a "regression" caused by bug 683441?
(If so, I assume applications should simply not try to package these files anymore/ftb...)
Blocks: 713134, 713133, 683441
Component: Build Config → Build Config
Keywords: regression
Product: Firefox → Core
QA Contact: build.config → build-config
If we don't include these files in the package manifest, do they still get included in the resultant builds?
No. Only things in the package manifest get packaged into the final build.
(Assignee)

Comment 6

6 years ago
(In reply to Serge Gautherie (:sgautherie) from comment #3)
> (If so, I assume applications should simply not try to package these files
> anymore/ftb...)

Firefox 12a1 and SeaMonkey 2.9a1 (and ...) still actually package theses 3 files.

If that is still what we want (as I assume), then some other kind of workaround/fix is needed.
Summary: "Warning: package error or possible missing or unnecessary file:" : freebl3.chk + softokn3.chk + nssdbm3.chk → "Warning: package error or possible missing or unnecessary file:" : freebl3.chk + nssdbm3.chk + softokn3.chk
(In reply to Mark Banner (:standard8) from comment #4)
> If we don't include these files in the package manifest, do they still get
> included in the resultant builds?

(In reply to Ted Mielczarek [:ted, :luser] from comment #5)
> No. Only things in the package manifest get packaged into the final build.

Actually, yes. The libraries are signed in the staging directory, meaning the .chk files are created there directly. Packaging manifest are used to copy files from dist/bin to the staging directory before that.
(Assignee)

Comment 8

6 years ago
(In reply to Mike Hommey [:glandium] from comment #7)
> Actually, yes. The libraries are signed in the staging directory, meaning
> the .chk files are created there directly. Packaging manifest are used to
> copy files from dist/bin to the staging directory before that.

Ah, good!

Yet, does that mean that local builds can't be run from dist/bin anymore?
(as in, they now require 'make install' or the like.)
Or are/should .chk files be (back-)copied to dist/bin?
(Assignee)

Comment 9

6 years ago
Created attachment 585721 [details] [diff] [review]
(Av1-FF) Don't explicitely package the 3 NSS .chk files which are now directly created in the staging directory, Reorder PSM files

I commented out the 3 .chk lines, as documentation.
I could remove them completely if you prefer.

Submitted to Try...
Attachment #585721 - Flags: review?(ted.mielczarek)
(Assignee)

Comment 10

6 years ago
Created attachment 585729 [details] [diff] [review]
(Av1a-FF) Don't explicitely package the 3 NSS .chk files which are now directly created in the staging directory, Reorder PSM files

Av1-FF, with 2 nits and Solaris part too.
Attachment #585721 - Attachment is obsolete: true
Attachment #585721 - Flags: review?(ted.mielczarek)
Attachment #585729 - Flags: review?(ted.mielczarek)
(Assignee)

Updated

6 years ago
Attachment #585721 - Attachment filename: 694353-Av1_no-nss-chk.diff → 694353-Av1-FF_no-nss-chk.diff
The only thing the .chk files are used for are as checksums for running in FIPS mode. Firefox (and NSS) will run just fine without them unless you attempt to enable FIPS.

Comment 12

6 years ago
Try run for 0d686d2521b7 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=0d686d2521b7
Results (out of 14 total builds):
    success: 14
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/sgautherie.bz@free.fr-0d686d2521b7

Comment 13

6 years ago
Try run for 0d686d2521b7 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=0d686d2521b7
Results (out of 14 total builds):
    success: 14
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/sgautherie.bz@free.fr-0d686d2521b7

Comment 14

6 years ago
Try run for 0d686d2521b7 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=0d686d2521b7
Results (out of 14 total builds):
    success: 14
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/sgautherie.bz@free.fr-0d686d2521b7

Comment 15

6 years ago
Try run for 0d686d2521b7 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=0d686d2521b7
Results (out of 14 total builds):
    success: 14
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/sgautherie.bz@free.fr-0d686d2521b7

Comment 16

6 years ago
Try run for 0d686d2521b7 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=0d686d2521b7
Results (out of 14 total builds):
    success: 14
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/sgautherie.bz@free.fr-0d686d2521b7
(Assignee)

Comment 17

6 years ago
(In reply to Ted Mielczarek [:ted, :luser] from comment #11)
> The only thing the .chk files are used for are as checksums for running in
> FIPS mode. Firefox (and NSS) will run just fine without them unless you
> attempt to enable FIPS.

Then, iiuc, the only "broken" case is "enabling FIPS mode when running from dist/bin", which I assume is acceptable as WontFix.


(In reply to Mozilla RelEng Bot from comment #12)
> Try run for 0d686d2521b7 is complete.
>     success: 14

No more warnings, and the 3 .chk files are still in the "application archive" :-)
Assignee: nobody → sgautherie.bz
Status: NEW → ASSIGNED
status-firefox10: --- → wontfix
status-firefox11: --- → wontfix
status-firefox9: --- → wontfix
Flags: in-testsuite-
OS: Windows Server 2003 → All
Hardware: x86 → All
Target Milestone: --- → mozilla12
Comment on attachment 585729 [details] [diff] [review]
(Av1a-FF) Don't explicitely package the 3 NSS .chk files which are now directly created in the staging directory, Reorder PSM files

Review of attachment 585729 [details] [diff] [review]:
-----------------------------------------------------------------

If you're going to remove them, just remove them and don't comment them out, please.
Attachment #585729 - Flags: review?(ted.mielczarek) → review-
(Assignee)

Comment 19

6 years ago
Created attachment 587336 [details] [diff] [review]
(Av2-FF) Stop explicitly packaging NSS .chk files which are now created in the staging directory directly, Reorder PSM files
[Checked in: Comment 20]

Av1a-FF, with comment 18 suggestion(s).
Attachment #585729 - Attachment is obsolete: true
Attachment #587336 - Flags: review?(ted.mielczarek)
(Assignee)

Updated

6 years ago
Priority: -- → P1
Attachment #587336 - Flags: review?(ted.mielczarek) → review+
(Assignee)

Comment 20

6 years ago
Comment on attachment 587336 [details] [diff] [review]
(Av2-FF) Stop explicitly packaging NSS .chk files which are now created in the staging directory directly, Reorder PSM files
[Checked in: Comment 20]

https://hg.mozilla.org/mozilla-central/rev/58e933465c36
Attachment #587336 - Attachment description: (Av2-FF) Don't explicitely package the 3 NSS .chk files which are now directly created in the staging directory, Reorder PSM files → (Av2-FF) Don't explicitly package the 3 NSS .chk files which are now directly created in the staging directory, Reorder PSM files [Checked in: Comment 20]
(Assignee)

Comment 21

6 years ago
Created attachment 589611 [details] [diff] [review]
(Bv1-CC) Stop explicitly packaging NSS .chk files which are now created in the staging directory directly, Reorder PSM files
[Checked in: Comment 23]
Attachment #589611 - Flags: review?(mbanner)
(Assignee)

Comment 22

6 years ago
/b2g/installer/package-manifest.in
/mobile/android/installer/package-manifest.in
/mobile/xul/installer/package-manifest.in
are left for someone else to fix, if need be.
(Assignee)

Updated

6 years ago
Attachment #587336 - Attachment description: (Av2-FF) Don't explicitly package the 3 NSS .chk files which are now directly created in the staging directory, Reorder PSM files [Checked in: Comment 20] → (Av2-FF) Stop explicitly packaging NSS .chk files which are now created in the staging directory directly, Reorder PSM files [Checked in: Comment 20]
Attachment #589611 - Flags: review?(mbanner) → review+
(Assignee)

Comment 23

6 years ago
Comment on attachment 589611 [details] [diff] [review]
(Bv1-CC) Stop explicitly packaging NSS .chk files which are now created in the staging directory directly, Reorder PSM files
[Checked in: Comment 23]

http://hg.mozilla.org/comm-central/rev/f50b1ec0a5c1
Attachment #589611 - Attachment description: (Bv1-CC) Stop explicitly packaging NSS .chk files which are now created in the staging directory directly, Reorder PSM files → (Bv1-CC) Stop explicitly packaging NSS .chk files which are now created in the staging directory directly, Reorder PSM files [Checked in: Comment 23]
(Assignee)

Updated

6 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
(Assignee)

Comment 24

6 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1327066666.1327068956.20300.gz&fulltext=1
Linux x86-64 comm-central-trunk build on 2012/01/20 05:37:46

V.Fixed
Status: RESOLVED → VERIFIED
(Assignee)

Updated

6 years ago
status-firefox-esr10: --- → affected
You need to log in before you can comment on or make changes to this bug.